Summary:        Ultralightweight JSON parser in ANSI C
Name:           cjson
Version:        1.7.15
Release:        2%{?dist}
License:        MIT and ASL 2.0
URL:            https://github.com/DaveGamble/cJSON
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz #/cJSON-%{version}.tar.gz
 
BuildRequires:  gcc cmake

%description
cJSON aims to be the dumbest possible parser that you can get your job
done with. It's a single file of C, and a single header file.
 

%package devel
Summary:        Development files for cJSON
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
  
%description devel
The package contains libraries and header files for developing with %{name}.
  

%prep
%autosetup -n cJSON-%{version}


%build
%cmake
%cmake_build


%install
%cmake_install
rm -f %{buildroot}%{_libdir}/*.{la,a}
rm -f %{buildroot}%{_libdir}/cmake/cJSON/*.cmake


%check
%ctest


%files
%license LICENSE
%doc README.md
%{_libdir}/libcjson*.so.*

 
%files devel
%doc CHANGELOG.md CONTRIBUTORS.md
%{_libdir}/libcjson.so
%{_libdir}/pkgconfig/libcjson.pc
%{_includedir}/cjson/


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.15-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 21 2023 rockerzhu <rockerzhu@tencent.com> - 1.7.15-1
- Initial build.
